## IdeApplicationTool IdeApplicationTool |

## Functions

void | ide_application_tool_run_async ()
gint | ide_application_tool_run_finish ()

## Types and Values

#define | IDE_TYPE_APPLICATION_TOOL
struct | IdeApplicationToolInterface
| IdeApplicationTool

## Description

## Functions

### ide_application_tool_run_async ()

    void
    ide_application_tool_run_async (IdeApplicationTool *self,
                                    const gchar * const *arguments,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously runs an application tool. This is typically done on the command line using the `ide` command.

#### Parameters

self | An IdeApplicationTool |
arguments | argv for the command. | [array zero-terminated=1][element-type utf8]
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A callback to execute upon completion |
user_data | User data for `callback` |

### ide_application_tool_run_finish ()

    gint
    ide_application_tool_run_finish (IdeApplicationTool *self,
                                     GAsyncResult *result,
                                     GError **error);

## Types and Values

### IDE_TYPE_APPLICATION_TOOL

    #define IDE_TYPE_APPLICATION_TOOL (ide_application_tool_get_type())

### struct IdeApplicationToolInterface

    struct IdeApplicationToolInterface {
      GTypeInterface parent_interface;

      void (*run_async)  (IdeApplicationTool   *self,
                          const gchar * const  *arguments,
                          GCancellable         *cancellable,
                          GAsyncReadyCallback   callback,
                          gpointer              user_data);
      gint (*run_finish) (IdeApplicationTool   *self,
                          GAsyncResult         *result,
                          GError              **error);
    };

### IdeApplicationTool

    typedef struct _IdeApplicationTool IdeApplicationTool;